org.springframework.data.auditing.config

## Class AuditingHandlerBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.springframework.data.auditing.config.AuditingHandlerBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

Direct Known Subclasses:
  IsNewAwareAuditingHandlerBeanDefinitionParser

    public class AuditingHandlerBeanDefinitionParser
    extends AbstractSingleBeanDefinitionParser

`BeanDefinitionParser` that parses an `AuditingHandler` `BeanDefinition`

Since:
  1.5
Author:
  Oliver Gierke

### Field Summary

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`AuditingHandlerBeanDefinitionParser(String mappingContextBeanName)` Creates a new `AuditingHandlerBeanDefinitionParser` to point to a `MappingContext` with the given bean name.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doParse(Element element, BeanDefinitionBuilder builder)`
`protected Class<?>` `getBeanClass(Element element)`
`String` `getResolvedBeanName()` Returns the name of the bean definition the `AuditingHandler` was registered under.
`protected String` `resolveId(Element element, AbstractBeanDefinition definition, ParserContext parserContext)`
`protected boolean` `shouldGenerateId()`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuditingHandlerBeanDefinitionParser

    public AuditingHandlerBeanDefinitionParser(String mappingContextBeanName)

Creates a new `AuditingHandlerBeanDefinitionParser` to point to a `MappingContext` with the given bean name.

Parameters:
  `mappingContextBeanName` - must not be null or empty.

### Method Detail

#### getResolvedBeanName

    public String getResolvedBeanName()

Returns the name of the bean definition the `AuditingHandler` was registered under.

Returns:
  the resolvedBeanName

#### getBeanClass

    @Nonnull
    protected Class<?> getBeanClass(Element element)

Overrides:
  `getBeanClass` in class `AbstractSingleBeanDefinitionParser`

#### shouldGenerateId

    protected boolean shouldGenerateId()

Overrides:
  `shouldGenerateId` in class `AbstractBeanDefinitionParser`

#### doParse

    protected void doParse(Element element,
                           BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractSingleBeanDefinitionParser`

#### resolveId

    protected String resolveId(Element element,
                               AbstractBeanDefinition definition,
                               ParserContext parserContext)

Overrides:
  `resolveId` in class `AbstractBeanDefinitionParser`